Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226470 - Merge Review: system-config-services
Summary: Merge Review: system-config-services
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:07 UTC by Nobody's working on this, feel free to take it
Modified: 2009-09-21 20:36 UTC (History)
1 user (show)

Fixed In Version: system-config-services-0.9.17-1.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-18 08:48:08 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:07:14 UTC
Fedora Merge Review: system-config-services

http://cvs.fedora.redhat.com/viewcvs/devel/system-config-services/
Initial Owner: nphilipp@redhat.com

Comment 1 Parag AN(पराग) 2007-09-28 17:04:24 UTC
Preliminary Review:-

rpmlint on SRPM and RPM gave me
-------------------------------------
system-config-services.src:26: W: unversioned-explicit-obsoletes serviceconf
system-config-services.src:27: W: unversioned-explicit-obsoletes
redhat-config-services
system-config-services.src:168: W: macro-in-%changelog _bindir
system-config-services.src: W: summary-not-capitalized system-config-services is
an initscript and xinetd configuration utility
system-config-services.src: E: description-line-too-long system-config-services
is a utility which allows you to configure which services
system-config-services.src: W: invalid-license GPL
system-config-services.noarch: W: file-not-utf8
/usr/share/doc/system-config-services-0.9.10/html/legalnotice.html
system-config-services.noarch: E: script-without-shebang
/usr/share/system-config-services/servicemethods.py
system-config-services.noarch: E: script-without-shebang
/usr/share/system-config-services/checklist.py
system-config-services.noarch: W: summary-not-capitalized system-config-services
is an initscript and xinetd configuration utility
system-config-services.noarch: E: description-line-too-long
system-config-services is a utility which allows you to configure which services
system-config-services.noarch: W: incoherent-version-in-changelog 0.9.10
0.9.10-1.fc8
system-config-services.noarch: W: invalid-license GPL
system-config-services.noarch: W: obsolete-not-provided serviceconf
system-config-services.noarch: W: obsolete-not-provided redhat-config-services
system-config-services.noarch: W: conffile-without-noreplace-flag
/etc/pam.d/serviceconf
system-config-services.noarch: W: conffile-without-noreplace-flag
/etc/pam.d/system-config-services
system-config-services.noarch: W: conffile-without-noreplace-flag
/etc/security/console.apps/serviceconf
system-config-services.noarch: W: conffile-without-noreplace-flag
/etc/security/console.apps/system-config-services

-------------------------------------------------------

also,
  1) packaging guidelines suggests use of make as 
http://fedoraproject.org/wiki/Packaging/Guidelines#head-525c7d76890cb22df33b759c65c35c82bf434d2e
  2) good to use %defattr(-,root,root,-)

Update package. Better to provide new SPEC and SRPM links for this package
before actually committing in CVS.



Comment 3 Nils Philippsen 2007-10-15 08:45:00 UTC
(In reply to comment #1)
> Preliminary Review:-
> 
> rpmlint on SRPM and RPM gave me
> -------------------------------------
> system-config-services.src:26: W: unversioned-explicit-obsoletes serviceconf
> system-config-services.src:27: W: unversioned-explicit-obsoletes
> redhat-config-services

added versions

> system-config-services.src:168: W: macro-in-%changelog _bindir

quoted macro ("%%{_bindir}")

> system-config-services.src: W: summary-not-capitalized system-config-services is
> an initscript and xinetd configuration utility
> system-config-services.src: E: description-line-too-long system-config-services
> is a utility which allows you to configure which services

fixing this now would break specspo translations -> we'll have to postpone that
until after F8 is out

> system-config-services.src: W: invalid-license GPL

changed license tag to GPLv2+

> system-config-services.noarch: W: file-not-utf8
> /usr/share/doc/system-config-services-0.9.10/html/legalnotice.html

recoded documentation to UTF-8

> system-config-services.noarch: E: script-without-shebang
> /usr/share/system-config-services/servicemethods.py
> system-config-services.noarch: E: script-without-shebang
> /usr/share/system-config-services/checklist.py

installed files with correct permissions

> system-config-services.noarch: W: summary-not-capitalized system-config-services
> is an initscript and xinetd configuration utility
> system-config-services.noarch: E: description-line-too-long
> system-config-services is a utility which allows you to configure which services

idem

> system-config-services.noarch: W: incoherent-version-in-changelog 0.9.10
> 0.9.10-1.fc8

added release to changelog versions

> system-config-services.noarch: W: invalid-license GPL
> system-config-services.noarch: W: obsolete-not-provided serviceconf
> system-config-services.noarch: W: obsolete-not-provided redhat-config-services

idem

> system-config-services.noarch: W: conffile-without-noreplace-flag
> /etc/pam.d/serviceconf
> system-config-services.noarch: W: conffile-without-noreplace-flag
> /etc/pam.d/system-config-services
> system-config-services.noarch: W: conffile-without-noreplace-flag
> /etc/security/console.apps/serviceconf
> system-config-services.noarch: W: conffile-without-noreplace-flag
> /etc/security/console.apps/system-config-services

used %config(noreplace)

> also,
>   1) packaging guidelines suggests use of make as 
>
http://fedoraproject.org/wiki/Packaging/Guidelines#head-525c7d76890cb22df33b759c65c35c82bf434d2e

used "make %{?_smp_mflags}"

>   2) good to use %defattr(-,root,root,-)

used "%defattr(-,root,root,-)"

> Update package. Better to provide new SPEC and SRPM links for this package
> before actually committing in CVS.

merge review...

(In reply to comment #2)
> Using xdg-open would be better than htmlview:

fixed

system-config-services-0.9.13-1.fc8 is building right now with these changes


Comment 4 Parag AN(पराग) 2007-10-15 09:06:25 UTC
rpmlint on new version gave me
system-config-services.noarch: E: non-executable-script
/usr/share/system-config-services/nonblockingreader.py 0644
===> do you want to keep this script as non-executable?

system-config-services.noarch: W: summary-not-capitalized system-config-services
is an initscript and xinetd configuration utility
system-config-services.noarch: E: description-line-too-long
system-config-services is a utility which allows you to configure which services
==> Above 2 messages are ok then as they may break po translations.

system-config-services.noarch: W: obsolete-not-provided serviceconf
system-config-services.noarch: W: obsolete-not-provided redhat-config-services


Comment 5 Nils Philippsen 2007-10-15 09:28:27 UTC
(In reply to comment #4)
> rpmlint on new version gave me
> system-config-services.noarch: E: non-executable-script
> /usr/share/system-config-services/nonblockingreader.py 0644
> ===> do you want to keep this script as non-executable?

The file can be called directly to do some tests, but I've removed the shebang
line as it's not essential (far from it) that it is directly callable.

> system-config-services.noarch: W: obsolete-not-provided serviceconf
> system-config-services.noarch: W: obsolete-not-provided redhat-config-services

As it's not a command line compatible replacement, "Provides:" lines for the old
tools aren't added.

system-config-services-0.9.14-1.fc8 is building right now with this change

Comment 6 Parag AN(पराग) 2007-10-15 10:48:30 UTC
you missed same icons thing here also =>
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-7103f6c38d1b5735e8477bdd569ad73ea2c49bda
suggests no such usage of Requires needed.


Comment 7 Nils Philippsen 2007-10-15 13:50:17 UTC
(In reply to comment #6)
> you missed same icons thing here also =>
>
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-7103f6c38d1b5735e8477bdd569ad73ea2c49bda
> suggests no such usage of Requires needed.
> 

removed hicolor-icon-theme, gtk2 requirements, calling gtk-update-icon-cache
with full path

system-config-services-0.9.15-1.fc8 is building right now with this change

Comment 8 Parag AN(पराग) 2007-10-16 08:49:59 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM but Not for RPM.
system-config-services.noarch: W: summary-not-capitalized system-config-services
is an initscript and xinetd configuration utility
system-config-services.noarch: E: description-line-too-long
system-config-services is a utility which allows you to configure which services
=> As maintainer wants to do this after F8 release, its ok to approve with these
messages.
system-config-services.noarch: W: obsolete-not-provided serviceconf
system-config-services.noarch: W: obsolete-not-provided redhat-config-services
=>These messages can be ignored for this package.
+ source files match upstream.
766381ad64cfe423c3821c66dc19e224  system-config-services-0.9.17.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ gtk-update-icon-cache scriptlets are used.
+ Desktop files are handled correctly.
+ package system-config-services-0.9.17-1.fc8 ->
  Provides: config(system-config-services) = 0.9.17-1.fc8
  Requires: /sbin/chkconfig /usr/bin/python config(system-config-services) =
0.9.17-1.fc8 hicolor-icon-theme pygtk2 pygtk2-libglade python >= 2.3.0 rhpl
usermode >= 1.36 usermode-gtk xdg-utils
+ GUI app.

APPROVED.


Comment 9 Parag AN(पराग) 2007-10-18 08:48:08 UTC
Closing this review as Approved package is already built in rawhide.


Note You need to log in before you can comment on or make changes to this bug.